import { requestClient } from '#/api/request';

async function getUserInfoByRobot(param) {
  return requestClient.post('/auth/UserRobotRelation/getUserInfoByRobot', param);
}

async function getRobotList(param) {
  return requestClient.post('/auth/UserRobotRelation/getRobotList' , param);
}

async function queryList(param) {
  return requestClient.post('/auth/UserRobotRelation/queryList', param);
}

async function clear(param) {
  return requestClient.post('/auth/UserRobotRelation/clear', param);
}

async function assignRobot(param) {
  return requestClient.post('/auth/UserRobotRelation/assignRobot', param);
}

export const userRobotRelation = {
  getUserInfoByRobot,
  getRobotList,
  queryList,
  clear,
  assignRobot
}